Add a new line item to a specific payable.
The `subtotal` and `total` fields of line items are automatically calculated based on the `unit_price`,
`quantity`, and `tax` fields, therefore, are read-only and appear only in the response schema. The field
`ledger_account_id` is required **only** for account integration, otherwise, it is optional.
Related guide: [Add line items to a payable](https://docs.monite.com/accounts-payable/payables/line-items#add-line-items-to-a-payable)
See also:
[Manage line items](https://docs.monite.com/accounts-payable/payables/line-items)
[Collect payables](https://docs.monite.com/accounts-payable/payables/collect)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
payable_idstringRequired
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
ID of the tax rate reference used for accounting integration. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.
descriptionstringOptional
Description of the product.
ledger_account_idstringOptionalformat: "uuid"
ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.
namestringOptional
Name of the product.
quantitydoubleOptional>=0
The quantity of each of the goods, materials, or services listed in the payable.
taxintegerOptional0-10000
VAT rate in percent minor units. Example: 12.5% is 1250.
unitstringOptional
The unit of the product
unit_priceintegerOptional
The unit price of the product, in minor units. For example, $12.50 is represented as 1250.
Response
Successful Response
idstringformat: "uuid"
payable_idstringformat: "uuid"
accounting_tax_rate_idstringformat: "uuid"
ID of the tax rate reference used for accounting integartion. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.
descriptionstring
Description of the product.
ledger_account_idstringformat: "uuid"
ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.
namestring
Name of the product.
ocr_set_quantity_to_onebooleanDefaults to false
Indicates whether the item’s unit_price and quantity were adjusted by OCR.
quantitydouble
The quantity of each of the goods, materials, or services listed in the payable.
The subtotal and total fields of line items are automatically calculated based on the unit_price,
quantity, and tax fields, therefore, are read-only and appear only in the response schema. The field
ledger_account_id is required only for account integration, otherwise, it is optional.